// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.27.1
// 	protoc        v3.3.2
// source: transformer_agent.proto

package agentsProtobuf

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type TransformerResult struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	N           int32   `protobuf:"varint,1,opt,name=n,proto3" json:"n,omitempty"`
	MsgSent     uint32  `protobuf:"varint,2,opt,name=msg_sent,json=msgSent,proto3" json:"msg_sent,omitempty"`
	MsgReceived uint32  `protobuf:"varint,3,opt,name=msg_received,json=msgReceived,proto3" json:"msg_received,omitempty"`
	SwarmSizeP  uint32  `protobuf:"varint,4,opt,name=swarm_size_p,json=swarmSizeP,proto3" json:"swarm_size_p,omitempty"`
	SwarmSizeQ  uint32  `protobuf:"varint,5,opt,name=swarm_size_q,json=swarmSizeQ,proto3" json:"swarm_size_q,omitempty"`
	VMeas       float64 `protobuf:"fixed64,6,opt,name=v_meas,json=vMeas,proto3" json:"v_meas,omitempty"`
	VMin        float64 `protobuf:"fixed64,7,opt,name=v_min,json=vMin,proto3" json:"v_min,omitempty"`
	VMean       float64 `protobuf:"fixed64,8,opt,name=v_mean,json=vMean,proto3" json:"v_mean,omitempty"`
	VMedian     float64 `protobuf:"fixed64,9,opt,name=v_median,json=vMedian,proto3" json:"v_median,omitempty"`
	VMax        float64 `protobuf:"fixed64,10,opt,name=v_max,json=vMax,proto3" json:"v_max,omitempty"`
	I1Re        float64 `protobuf:"fixed64,11,opt,name=i1_re,json=i1Re,proto3" json:"i1_re,omitempty"`
	I1Im        float64 `protobuf:"fixed64,12,opt,name=i1_im,json=i1Im,proto3" json:"i1_im,omitempty"`
	I2Re        float64 `protobuf:"fixed64,13,opt,name=i2_re,json=i2Re,proto3" json:"i2_re,omitempty"`
	I2Im        float64 `protobuf:"fixed64,14,opt,name=i2_im,json=i2Im,proto3" json:"i2_im,omitempty"`
	Used        bool    `protobuf:"varint,15,opt,name=used,proto3" json:"used,omitempty"`
}

func (x *TransformerResult) Reset() {
	*x = TransformerResult{}
	if protoimpl.UnsafeEnabled {
		mi := &file_transformer_agent_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *TransformerResult) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*TransformerResult) ProtoMessage() {}

func (x *TransformerResult) ProtoReflect() protoreflect.Message {
	mi := &file_transformer_agent_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use TransformerResult.ProtoReflect.Descriptor instead.
func (*TransformerResult) Descriptor() ([]byte, []int) {
	return file_transformer_agent_proto_rawDescGZIP(), []int{0}
}

func (x *TransformerResult) GetN() int32 {
	if x != nil {
		return x.N
	}
	return 0
}

func (x *TransformerResult) GetMsgSent() uint32 {
	if x != nil {
		return x.MsgSent
	}
	return 0
}

func (x *TransformerResult) GetMsgReceived() uint32 {
	if x != nil {
		return x.MsgReceived
	}
	return 0
}

func (x *TransformerResult) GetSwarmSizeP() uint32 {
	if x != nil {
		return x.SwarmSizeP
	}
	return 0
}

func (x *TransformerResult) GetSwarmSizeQ() uint32 {
	if x != nil {
		return x.SwarmSizeQ
	}
	return 0
}

func (x *TransformerResult) GetVMeas() float64 {
	if x != nil {
		return x.VMeas
	}
	return 0
}

func (x *TransformerResult) GetVMin() float64 {
	if x != nil {
		return x.VMin
	}
	return 0
}

func (x *TransformerResult) GetVMean() float64 {
	if x != nil {
		return x.VMean
	}
	return 0
}

func (x *TransformerResult) GetVMedian() float64 {
	if x != nil {
		return x.VMedian
	}
	return 0
}

func (x *TransformerResult) GetVMax() float64 {
	if x != nil {
		return x.VMax
	}
	return 0
}

func (x *TransformerResult) GetI1Re() float64 {
	if x != nil {
		return x.I1Re
	}
	return 0
}

func (x *TransformerResult) GetI1Im() float64 {
	if x != nil {
		return x.I1Im
	}
	return 0
}

func (x *TransformerResult) GetI2Re() float64 {
	if x != nil {
		return x.I2Re
	}
	return 0
}

func (x *TransformerResult) GetI2Im() float64 {
	if x != nil {
		return x.I2Im
	}
	return 0
}

func (x *TransformerResult) GetUsed() bool {
	if x != nil {
		return x.Used
	}
	return false
}

var File_transformer_agent_proto protoreflect.FileDescriptor

var file_transformer_agent_proto_rawDesc = []byte{
	0x0a, 0x17, 0x74, 0x72, 0x61, 0x6e, 0x73, 0x66, 0x6f, 0x72, 0x6d, 0x65, 0x72, 0x5f, 0x61, 0x67,
	0x65, 0x6e, 0x74, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0xfe, 0x02, 0x0a, 0x11, 0x54, 0x72,
	0x61, 0x6e, 0x73, 0x66, 0x6f, 0x72, 0x6d, 0x65, 0x72, 0x52, 0x65, 0x73, 0x75, 0x6c, 0x74, 0x12,
	0x0c, 0x0a, 0x01, 0x6e, 0x18, 0x01, 0x20, 0x01, 0x28, 0x05, 0x52, 0x01, 0x6e, 0x12, 0x19, 0x0a,
	0x08, 0x6d, 0x73, 0x67, 0x5f, 0x73, 0x65, 0x6e, 0x74, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0d, 0x52,
	0x07, 0x6d, 0x73, 0x67, 0x53, 0x65, 0x6e, 0x74, 0x12, 0x21, 0x0a, 0x0c, 0x6d, 0x73, 0x67, 0x5f,
	0x72, 0x65, 0x63, 0x65, 0x69, 0x76, 0x65, 0x64, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0d, 0x52, 0x0b,
	0x6d, 0x73, 0x67, 0x52, 0x65, 0x63, 0x65, 0x69, 0x76, 0x65, 0x64, 0x12, 0x20, 0x0a, 0x0c, 0x73,
	0x77, 0x61, 0x72, 0x6d, 0x5f, 0x73, 0x69, 0x7a, 0x65, 0x5f, 0x70, 0x18, 0x04, 0x20, 0x01, 0x28,
	0x0d, 0x52, 0x0a, 0x73, 0x77, 0x61, 0x72, 0x6d, 0x53, 0x69, 0x7a, 0x65, 0x50, 0x12, 0x20, 0x0a,
	0x0c, 0x73, 0x77, 0x61, 0x72, 0x6d, 0x5f, 0x73, 0x69, 0x7a, 0x65, 0x5f, 0x71, 0x18, 0x05, 0x20,
	0x01, 0x28, 0x0d, 0x52, 0x0a, 0x73, 0x77, 0x61, 0x72, 0x6d, 0x53, 0x69, 0x7a, 0x65, 0x51, 0x12,
	0x15, 0x0a, 0x06, 0x76, 0x5f, 0x6d, 0x65, 0x61, 0x73, 0x18, 0x06, 0x20, 0x01, 0x28, 0x01, 0x52,
	0x05, 0x76, 0x4d, 0x65, 0x61, 0x73, 0x12, 0x13, 0x0a, 0x05, 0x76, 0x5f, 0x6d, 0x69, 0x6e, 0x18,
	0x07, 0x20, 0x01, 0x28, 0x01, 0x52, 0x04, 0x76, 0x4d, 0x69, 0x6e, 0x12, 0x15, 0x0a, 0x06, 0x76,
	0x5f, 0x6d, 0x65, 0x61, 0x6e, 0x18, 0x08, 0x20, 0x01, 0x28, 0x01, 0x52, 0x05, 0x76, 0x4d, 0x65,
	0x61, 0x6e, 0x12, 0x19, 0x0a, 0x08, 0x76, 0x5f, 0x6d, 0x65, 0x64, 0x69, 0x61, 0x6e, 0x18, 0x09,
	0x20, 0x01, 0x28, 0x01, 0x52, 0x07, 0x76, 0x4d, 0x65, 0x64, 0x69, 0x61, 0x6e, 0x12, 0x13, 0x0a,
	0x05, 0x76, 0x5f, 0x6d, 0x61, 0x78, 0x18, 0x0a, 0x20, 0x01, 0x28, 0x01, 0x52, 0x04, 0x76, 0x4d,
	0x61, 0x78, 0x12, 0x13, 0x0a, 0x05, 0x69, 0x31, 0x5f, 0x72, 0x65, 0x18, 0x0b, 0x20, 0x01, 0x28,
	0x01, 0x52, 0x04, 0x69, 0x31, 0x52, 0x65, 0x12, 0x13, 0x0a, 0x05, 0x69, 0x31, 0x5f, 0x69, 0x6d,
	0x18, 0x0c, 0x20, 0x01, 0x28, 0x01, 0x52, 0x04, 0x69, 0x31, 0x49, 0x6d, 0x12, 0x13, 0x0a, 0x05,
	0x69, 0x32, 0x5f, 0x72, 0x65, 0x18, 0x0d, 0x20, 0x01, 0x28, 0x01, 0x52, 0x04, 0x69, 0x32, 0x52,
	0x65, 0x12, 0x13, 0x0a, 0x05, 0x69, 0x32, 0x5f, 0x69, 0x6d, 0x18, 0x0e, 0x20, 0x01, 0x28, 0x01,
	0x52, 0x04, 0x69, 0x32, 0x49, 0x6d, 0x12, 0x12, 0x0a, 0x04, 0x75, 0x73, 0x65, 0x64, 0x18, 0x0f,
	0x20, 0x01, 0x28, 0x08, 0x52, 0x04, 0x75, 0x73, 0x65, 0x64, 0x42, 0x12, 0x5a, 0x10, 0x2e, 0x2f,
	0x61, 0x67, 0x65, 0x6e, 0x74, 0x73, 0x50, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x62, 0x06,
	0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_transformer_agent_proto_rawDescOnce sync.Once
	file_transformer_agent_proto_rawDescData = file_transformer_agent_proto_rawDesc
)

func file_transformer_agent_proto_rawDescGZIP() []byte {
	file_transformer_agent_proto_rawDescOnce.Do(func() {
		file_transformer_agent_proto_rawDescData = protoimpl.X.CompressGZIP(file_transformer_agent_proto_rawDescData)
	})
	return file_transformer_agent_proto_rawDescData
}

var file_transformer_agent_proto_msgTypes = make([]protoimpl.MessageInfo, 1)
var file_transformer_agent_proto_goTypes = []interface{}{
	(*TransformerResult)(nil), // 0: TransformerResult
}
var file_transformer_agent_proto_depIdxs = []int32{
	0, // [0:0] is the sub-list for method output_type
	0, // [0:0] is the sub-list for method input_type
	0, // [0:0] is the sub-list for extension type_name
	0, // [0:0] is the sub-list for extension extendee
	0, // [0:0] is the sub-list for field type_name
}

func init() { file_transformer_agent_proto_init() }
func file_transformer_agent_proto_init() {
	if File_transformer_agent_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_transformer_agent_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*TransformerResult); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_transformer_agent_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   1,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_transformer_agent_proto_goTypes,
		DependencyIndexes: file_transformer_agent_proto_depIdxs,
		MessageInfos:      file_transformer_agent_proto_msgTypes,
	}.Build()
	File_transformer_agent_proto = out.File
	file_transformer_agent_proto_rawDesc = nil
	file_transformer_agent_proto_goTypes = nil
	file_transformer_agent_proto_depIdxs = nil
}
